(*
This file is part of the first order theorem prover dpllt
Copyright (C) 2004  The University of Iowa
George Hagen

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*)

(* server.ml *)

(** Server interface program main file. *)

let port = ref 8000 in
let nofile = ref true in
let start_server p =
  Sammy_httpd.start_server p
in
let start _ =
  nofile := false;
  start_server !port
in
let usage_msg = "Usage: sammy [-port n]" in
let speclist = [
                ("-port",
                 Arg.Int (fun n -> port := n),
                 "Httpd port number [8000]"
                )
               ]
in
  Arg.parse speclist start usage_msg;
  if !nofile then start_server !port;
  exit 0
